#global        snapdate   20151014
#global        snaphash   ad4bcff
#global        snapver    %{snapdate}.git%{snaphash}

Name:           libdivecomputer-subsurface
Summary:        Library for communication with dive computers
Version:        4.6.2
Release:        6%{?dist}

# includes "Public domain" portions from https://github.com/kokke/tiny-AES128-C :
# aes.c
License:        LGPLv2+
URL:            http://git.subsurface-divelog.org/index.cgi?p=libdc.git
# Sources generated using:
# git clone git://subsurface-divelog.org/libdc && cd libdivecomputer
# git archive --format=tar --prefix=libdc-ad4bcff/ ad4bcff | xz -z > libdc-0.4.2-20151014.gitad4bcff.tar.xz
Source0:        https://subsurface-divelog.org/downloads/libdivecomputer-subsurface-branch-%{version}.tgz

# disable debuginfo, it's empty anyway due to static-only library
%global debug_package   %{nil}

BuildRequires:  libusb1-devel
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake

Obsoletes: libdc < 4.6.0
Provides:  libdc = %{version}-%{release}
Provides:  libdc%{?_isa} = %{version}-%{release}

%description
Libdivecomputer is a cross-platform and open source library for
communication with dive computers from various manufacturers.

%package        devel
Summary:        Development files for %{name}
Conflicts:      libdivecomputer-devel
Obsoletes:      libdc-devel < 4.6.0
Provides:       libdc-devel = %{version}-%{release}
Provides:       libdc-devel%{?_isa} = %{version}-%{release}
Obsoletes:      libdc-static < 4.6.0
Provides:       libdc-static = %{version}-%{release}
Provides:       libdc-static%{?_isa} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n libdivecomputer-subsurface-branch-%{version}


%build
# generate configure
autoreconf --verbose --install

%configure \
  --disable-doc \
  --disable-silent-rules \
  --disable-shared \
  --enable-static

%{make_build}


%install
%{make_install}

## unpackaged files
rm -fv %{buildroot}%{_bindir}/dctool
#TODO: *may* be needed for static linking -- rex
rm -fv %{buildroot}%{_libdir}/lib*.la


#post -p /sbin/ldconfig
#postun -p /sbin/ldconfig

#files
#doc NEWS README
#license COPYING
#{_bindir}/dctool
#{_libdir}/libdivecomputer.so.0*

%files devel
%doc NEWS README
%license COPYING
%{_includedir}/libdivecomputer/
#{_libdir}/libdivecomputer.so
%{_libdir}/libdivecomputer.a
%{_libdir}/pkgconfig/libdivecomputer.pc
%if 0%{?doc}
%{_mandir}/man/man3/dc_*
%{_mandir}/man/man3/libdivecomputer*
%endif


%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 21 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.2-1
- 4.6.2

* Fri Feb 17 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.1-1
- 4.6.1

* Thu Feb 16 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.0-2
- add .spec comment about aes.c from https://github.com/kokke/tiny-AES128-C

* Tue Feb 07 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.0-1
- 4.6.0, Name: libdivecomputer-subsurface

* Wed Nov 11 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.5.2-1
- Update to 4.5.2

* Wed Nov 04 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.5.1-1
- Update to 4.5.1

* Wed Oct 14 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.4.2-1
- Initial packaging work for Fedora

